### Method

# Camel OfflineStore set_online_sync

#### Declaration [src]

    gboolean
    camel_offline_store_set_online_sync (
      CamelOfflineStore* store,
      gboolean online,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Sets the online/offline state of `store` according to `online`.

#### Parameters

`online`

  Type: `gboolean`

  `TRUE` for online, `FALSE` for offline.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.

See: camel_offline_store_set_online.